<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyRep](./bitburner.singularity.getcompanyrep.md)

## Singularity.getCompanyRep() method

Get company reputation.

<b>Signature:</b>

```typescript
getCompanyRep(companyName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | string | Name of the company. |

<b>Returns:</b>

number

Amount of reputation you have at the specified company.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function will return the amount of reputation you have at the specified company. If the company passed in as an argument is invalid, -1 will be returned.

